/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
* Restful接口--资源详情--数据传输对象：业务组件表_历史
*
* createdate:  2022-10-10 16:53:14  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件表_历史")
public class HisBusComponentInfoDetailDto implements Serializable
{
    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    private String id;
    /**
     * 组件主键<br>
     */
    @ApiModelProperty("组件主键")
    private String comId;
    /**
     * 组件名称<br>
     */
    @ApiModelProperty("组件名称")
    private String comName;
    /**
     * 组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios<br>
     */
    @ApiModelProperty("组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios")
    private Integer comType;
    /**
     * 说明<br>
     */
    @ApiModelProperty("说明")
    private String memo;
    /**
     * 系统空间<br>
     */
    @ApiModelProperty("系统空间")
    private String projectId;
    /**
     * 脚本内容<br>
     */
    @ApiModelProperty("脚本内容")
    private String scriptContent;
    /**
     * 是否推荐使用0-推荐1-不推荐<br>
     */
    @ApiModelProperty("是否推荐使用0-推荐1-不推荐")
    private Integer isDeprecated;
    /**
     * 组件复杂度<br>
     */
    @ApiModelProperty("组件复杂度")
    private Integer complexity;
    /**
     * 逻辑删除0-可用1-已删除<br>
     */
    @ApiModelProperty("逻辑删除0-可用1-已删除")
    private Integer isDeleted;
    /**
     * 组件版本号<br>
     */
    @ApiModelProperty("组件版本号")
    private String comVersion;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;

    /**
     * 脚本参数<br>
     */
    @ApiModelProperty("脚本参数")
    private String paramJson;
    /**
     * 脚本步骤<br>
     */
    @ApiModelProperty("脚本步骤")
    private String comJson;
    /**
     * 版本日志<br>
     */
    @ApiModelProperty("版本日志")
    private String versionLog;

    @ApiModelProperty("下载json文件内容")
    private String jsonData;
    /**
     * 共享标识0-未共享，1-已共享<br>
     */
    @ApiModelProperty("共享标识0-未共享，1-已共享")
    private Integer sharedFlag;
    /**
     * 负责人id<br>
     */
    @ApiModelProperty("负责人id")
    @Size(max = 32, message="负责人id-principalId: 数据长度不能 > 32" )
    private String principalId;
    public String getJsonData() {
        return jsonData;
    }

    public void setJsonData(String jsonData) {
        this.jsonData = jsonData;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getComId() {
        return comId;
    }

    public void setComId(String comId) {
        this.comId = comId;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public Integer getComType() {
        return comType;
    }

    public void setComType(Integer comType) {
        this.comType = comType;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getScriptContent() {
        return scriptContent;
    }

    public void setScriptContent(String scriptContent) {
        this.scriptContent = scriptContent;
    }

    public Integer getIsDeprecated() {
        return isDeprecated;
    }

    public void setIsDeprecated(Integer isDeprecated) {
        this.isDeprecated = isDeprecated;
    }

    public Integer getComplexity() {
        return complexity;
    }

    public void setComplexity(Integer complexity) {
        this.complexity = complexity;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public String getComVersion() {
        return comVersion;
    }

    public void setComVersion(String comVersion) {
        this.comVersion = comVersion;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getParamJson() {
        return paramJson;
    }

    public void setParamJson(String paramJson) {
        this.paramJson = paramJson;
    }

    public String getComJson() {
        return comJson;
    }

    public void setComJson(String comJson) {
        this.comJson = comJson;
    }

    public String getVersionLog() {
        return versionLog;
    }

    public void setVersionLog(String versionLog) {
        this.versionLog = versionLog;
    }

    public Integer getSharedFlag() {
        return sharedFlag;
    }

    public void setSharedFlag(Integer sharedFlag) {
        this.sharedFlag = sharedFlag;
    }

    public String getPrincipalId() {
        return principalId;
    }

    public void setPrincipalId(String principalId) {
        this.principalId = principalId;
    }
}